Package com.avaya.clientservices.presence

## Class PresenceException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.avaya.clientservices.common.ProtocolException
      - - com.avaya.clientservices.presence.PresenceException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class PresenceException
      extends ProtocolException

  Exception representing a presence-related failure.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PresenceException​(PresenceError error, Presence presence)` | Constructor.
    `PresenceException​(PresenceError error, Presence presence, int protocolErrorCode, java.lang.String protocolErrorReason)` | Constructor.
    `PresenceException​(PresenceError error, Presence presence, int protocolErrorCode, java.lang.String protocolErrorReason, int protocolWarningCode, java.lang.String protocolWarningReason)` | Constructor.
    `PresenceException​(java.lang.String detailMessage, PresenceError error, Presence presence, int protocolResponseCode, java.lang.String protocolReason, int protocolWarningCode, java.lang.String protocolWarningReason)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `PresenceError` | `getError()` | Returns the error code.
    `Presence` | `getPresence()` | Returns the presence object associated with this exception, if any.

    - ### Methods inherited from class com.avaya.clientservices.common.ProtocolException

      `getProtocolReason, getProtocolResponseCode, getProtocolWarningCode, getProtocolWarningReason`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PresenceException

          public PresenceException​(PresenceError error,
                                   Presence presence)

      Constructor.
      Parameters:
        `error` - Presence specific error that causes this exception.
        `presence` - Presence information associated with this exception.

    - #### PresenceException

          public PresenceException​(PresenceError error,
                                   Presence presence,
                                   int protocolErrorCode,
                                   java.lang.String protocolErrorReason)

      Constructor.
      Parameters:
        `error` - Presence specific error that causes this exception.
        `presence` - Presence information associated with this exception.
        `protocolErrorCode` - Protocol specific error code.
        `protocolErrorReason` - Protocol specific error reason phrase.

    - #### PresenceException

          public PresenceException​(PresenceError error,
                                   Presence presence,
                                   int protocolErrorCode,
                                   java.lang.String protocolErrorReason,
                                   int protocolWarningCode,
                                   java.lang.String protocolWarningReason)

      Constructor.
      Parameters:
        `error` - Presence specific error that causes this exception.
        `presence` - Presence information associated with this exception.
        `protocolErrorCode` - Protocol specific error code.
        `protocolErrorReason` - Protocol specific error reason phrase.
        `protocolWarningCode` - Protocol specific warning code.
        `protocolWarningReason` - Protocol specific warning reason phrase.

    - #### PresenceException

          public PresenceException​(java.lang.String detailMessage,
                                   PresenceError error,
                                   Presence presence,
                                   int protocolResponseCode,
                                   java.lang.String protocolReason,
                                   int protocolWarningCode,
                                   java.lang.String protocolWarningReason)

      Constructor.
      Parameters:
        `detailMessage` - Message representing the details of the exception.
        `error` - Presence specific error that causes this exception.
        `presence` - Presence information associated with this exception.
        `protocolResponseCode` - Protocol specific response code.
        `protocolReason` - Protocol specific reason phrase.
        `protocolWarningCode` - Protocol specific warning code.
        `protocolWarningReason` - Protocol specific warning reason phrase.

  - ### Method Detail

    - #### getError

          public PresenceError getError()

      Returns the error code.
      Returns:
        `PresenceError` representing the reason for the failure.

    - #### getPresence

          public Presence getPresence()

      Returns the presence object associated with this exception, if any.
      Returns:
        `Presence` object associated with this exception.